Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface Buffer

All Superinterfaces:
  Collection

All Known Implementing Classes:
  AbstractBufferDecorator, ArrayStack, BinaryHeap, BoundedFifoBuffer, BoundedFifoBuffer, PredicatedBuffer, PriorityBuffer, SynchronizedBuffer, TransformedBuffer, UnboundedFifoBuffer, UnboundedFifoBuffer

public interface Buffer
extends Collection

Defines a collection that allows objects to be removed in some well-defined order.

The removal order can be based on insertion order (eg, a FIFO queue or a LIFO stack), on access order (eg, an LRU cache), on some arbitrary comparator (eg, a priority queue) or on any other well-defined ordering.

Note that the removal order is not necessarily the same as the iteration order. A `Buffer` implementation may have equivalent removal and iteration orders, but this is not required.

This interface does not specify any behavior for `Object.equals(Object)` and `Object.hashCode()` methods. It is therefore possible for a `Buffer` implementation to also also implement `List`, `Set` or `Bag`.

Since:
  Commons Collections 2.1
Version:
  $Revision: 1.10 $ $Date: 2004/02/18 01:15:42 $
Author:
  Avalon, Berin Loritsch, Paul Jack, Stephen Colebourne

Method Summary
`Object` | `get()` Gets the next object from the buffer without removing it.
`Object` | `remove()` Gets and removes the next object from the buffer.

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### remove

    public Object remove()

  Gets and removes the next object from the buffer.

  Returns:
    the next object in the buffer, which is also removed
  Throws:
    `BufferUnderflowException` - if the buffer is already empty

### get

    public Object get()

  Gets the next object from the buffer without removing it.

  Returns:
    the next object in the buffer, which is not removed
  Throws:
    `BufferUnderflowException` - if the buffer is empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.